## xcp-rrdd 0.9.7

=== Makefile ===
.PHONY: all clean install build
all: build doc

NAME=rrdd-libs
J=4

export OCAMLRUNPARAM=b

setup.bin: setup.ml
	@ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	@rm -f setup.cmx setup.cmi setup.o setup.cmo

setup.data: setup.bin
	@./setup.bin -configure --enable-tests

build: setup.data setup.bin
	@./setup.bin -build -j $(J)

doc: setup.data setup.bin
	@./setup.bin -doc -j $(J)

install: setup.bin
	install -m 755 xcp_rrdd.native $(DESTDIR)$(SBINDIR)/xcp-rrdd
	@./setup.bin -install

uninstall:
	@ocamlfind remove $(NAME) || true

test: setup.bin build
	@./setup.bin -test

reinstall: setup.bin
	@ocamlfind remove $(NAME) || true
	@./setup.bin -reinstall

clean:
	@ocamlbuild -clean
	@rm -f setup.data setup.log setup.bin

=== debian/changelog ===
xcp-rrdd (0.9.7-2) UNRELEASED; urgency=low

  * Remove xen-missing-headers dependency

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Thu, 04 Sep 2014 12:00:00 +0000

xcp-rrdd (0.9.7-1) UNRELEASED; urgency=low

  * Update to 0.9.7
  * Create new subpackage for the devel libraries now installed

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Wed, 04 Jun 2014 12:00:00 +0000

xcp-rrdd (0.9.5-1) UNRELEASED; urgency=low

  * Update to 0.9.5, now will start without xen

 -- David Scott <dave.scott@citrix.com>  Fri, 09 May 2014 12:00:00 +0000

xcp-rrdd (0.9.4-1) UNRELEASED; urgency=low

  * Update to 0.9.4, now depends on rrdd-transport

 -- David Scott <dave.scott@eu.citrix.com>  Sat, 26 Apr 2014 12:00:00 +0000

xcp-rrdd (0.9.2-1) UNRELEASED; urgency=low

  * Update to 0.9.2

 -- David Scott <dave.scott@eu.citrix.com>  Wed, 25 Sep 2013 12:00:00 +0000

=== debian/control ===
Source: xcp-rrdd
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 blktap-utils,
 ocaml-native-compilers,
 ocaml-findlib,
 ocaml-nox,
 blktap-dev,
 camlp4-extra,
 libxcp-inventory-ocaml-dev,
 libxcp-rrd-ocaml-dev,
 libxcp-idl-ocaml-dev,
 forkexecd-dev,
 dh-ocaml (>= 0.9),
 qemu-system-x86,
 ocaml-xen-lowlevel-libs-dev,
 librrd-transport-ocaml-dev,
 libxenops-ocaml-dev,
 ocaml-xen-api-libs-transitional-dev,
 camlp4,
 python,
 debhelper (>= 8),
 ocaml-obuild,
 librpc-ocaml-dev,
 libxen-dev

Package: xcp-rrdd
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 lsb-base
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Statistics gathering daemon for the xapi toolstack
 Statistics gathering daemon for the xapi toolstack.

Package: xcp-rrdd-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 xcp-rrdd (>= 0.9.7-2),
 libxcp-idl-ocaml-dev,
 libstdext-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for xcp-rrdd
 The xcp-rrdd-devel package contains libraries and signature files for
 developing applications that use xcp-rrdd.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/xcp-rrdd/usr/lib/ocaml/rrdd-libs/*.a
	rm -f debian/xcp-rrdd/usr/lib/ocaml/rrdd-libs/*.cmx
	rm -f debian/xcp-rrdd/usr/lib/ocaml/rrdd-libs/*.cmxa
	rm -f debian/xcp-rrdd/usr/lib/ocaml/rrdd-libs/*.mli

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:

## xcp-rrdd 0.9.9

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 .PHONY: all clean install build
 all: build doc
 
-NAME=rrdd-libs
 J=4
 
 export OCAMLRUNPARAM=b
@@ -19,20 +18,15 @@
 doc: setup.data setup.bin
 	@./setup.bin -doc -j $(J)
 
-install: setup.bin
+install: build
 	install -m 755 xcp_rrdd.native $(DESTDIR)$(SBINDIR)/xcp-rrdd
-	@./setup.bin -install
 
 uninstall:
-	@ocamlfind remove $(NAME) || true
+	rm -f $(DESTDIR)$(SBINDIR)/xcp-rrdd
 
 test: setup.bin build
 	@./setup.bin -test
 
-reinstall: setup.bin
-	@ocamlfind remove $(NAME) || true
-	@./setup.bin -reinstall
-
 clean:
 	@ocamlbuild -clean
 	@rm -f setup.data setup.log setup.bin

=== debian/changelog ===
xcp-rrdd (0.9.9-1) UNRELEASED; urgency=low

  * Update to 0.9.9

 -- David Scott <dave.scott@citrix.com>  Wed, 21 Jan 2015 12:00:00 +0000

xcp-rrdd (0.9.8-1) UNRELEASED; urgency=low

  * Update to 0.9.8

 -- David Scott <dave.scott@citrix.com>  Tue, 14 Oct 2014 12:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Section: ocaml
 Standards-Version: 3.9.3
 Build-Depends:
+ liboclock-ocaml-dev,
  blktap-utils,
  ocaml-native-compilers,
  ocaml-findlib,
+ ocaml-backtrace-dev,
  ocaml-nox,
  blktap-dev,
  camlp4-extra,
@@ -39,18 +41,3 @@
 Description: Statistics gathering daemon for the xapi toolstack
  Statistics gathering daemon for the xapi toolstack.
 
-Package: xcp-rrdd-dev
-Architecture: any
-Depends:
- ${ocaml:Depends},
- ${shlibs:Depends},
- ${misc:Depends},
- xcp-rrdd (>= 0.9.7-2),
- libxcp-idl-ocaml-dev,
- libstdext-ocaml-dev
-Provides: ${ocaml:Provides}
-Recommends: ocaml-findlib
-Description: Development files for xcp-rrdd
- The xcp-rrdd-devel package contains libraries and signature files for
- developing applications that use xcp-rrdd.
-
